<div class="container">
    <h1>NIC ASIA:: Cybersource Secure Acceptance</h1>
    <p>
    </p>
    <form #f="ngForm" novalidate (ngSubmit)="encryptData(f.value, f.valid);">
        <input type="hidden" name="access_key" [(ngModel)]="data.access_key"/>
        <input type="hidden" name="profile_id" [(ngModel)]="data.profile_id"/>
        <input type="hidden" name="transaction_uuid" [(ngModel)]="data.transaction_uuid"/>
        <input type="hidden" name="signed_field_names" [(ngModel)]="data.signed_field_names"/>
        <input type="hidden" name="unsigned_field_names" [(ngModel)]="data.unsigned_field_names"/>
        <input type="hidden" name="signed_date_time" [(ngModel)]="data.signed_date_time"/>
        <input type="hidden" name="locale" [(ngModel)]="data.locale"/>
        <input type="hidden" name="auth_trans_ref_no" [(ngModel)]="data.auth_trans_ref_no"/>
        <div id="paymentDetailsSection" class="section">
            <div class="card">
                <div class="card-block">
                    <h6 class="card-subtitle mb-2 text-muted"></h6>
                    <div class="form-group row">
                        <div class="col-sm-2 col-form-label">Our Product</div>
                        <div class="col-sm-4">
                            <img src="assets/header_logo.png">
                        </div>
                        <div class="col-sm-2 col-form-label">Amount</div>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" name="amount" [(ngModel)]="data.amount" size="25">
                        </div>

                        <!--            <div class="col-sm-2 col-form-label">First Name</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_forename"
                                   name="bill_to_forename">
                        </div>
                        <!--            <div class="col-sm-2 col-form-label">Last Name</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_surname"
                                   name="bill_to_surname">
                        </div>
                    </div>

                    <div class="form-group row">
                        <!--            <div class="col-sm-2 col-form-label">Email</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_email"
                                   name="bill_to_email">
                        </div>
                        <!--            <div class="col-sm-2 col-form-label">Phone</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_phone"
                                   name="bill_to_phone">
                        </div>
                    </div>

                    <div class="form-group row">
                        <!--            <div class="col-sm-2 col-form-label">Address 1</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_address_line1"
                                   name="bill_to_address_line1">
                        </div>
                        <!--            <div class="col-sm-2 col-form-label">City</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_address_city"
                                   name="bill_to_address_city">
                        </div>
                    </div>

                    <div class="form-group row">
                        <!--            <div class="col-sm-2 col-form-label">State</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_address_state"
                                   name="bill_to_address_state">
                        </div>
                        <!--            <div class="col-sm-2 col-form-label">Country</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_address_country"
                                   name="bill_to_address_country">
                        </div>
                    </div>

                    <div class="form-group row">
                        <!--            <div class="col-sm-2 col-form-label">Zip/PostalCode</div>-->
                        <div class="col-sm-4">
                            <input type="hidden" class="form-control" [(ngModel)]="data.bill_to_address_postal_code"
                                   name="bill_to_address_postal_code">
                        </div>

                    </div>

                    <div class="card-block">
                        <h6 class="card-subtitle mb-2 text-muted"></h6>
                        <div class="form-group row">
                            <!--            <div class="col-sm-2 col-form-label">Transaction Type</div>-->
                            <div class="col-sm-4">
                                <input type="hidden" class="form-control" name="transaction_type" id="transaction_type"
                                       [(ngModel)]="data.transaction_type"
                                       size="25"/>
                            </div>
                            <!--            <div class="col-sm-2 col-form-label">Reference #</div>-->
                            <div class="col-sm-4">
                                <input type="hidden" class="form-control" name="reference_number"
                                       [(ngModel)]="data.reference_number" size="25">
                            </div>
                        </div>
                        <div class="form-group row">
                            <!--            <div class="col-sm-2 col-form-label">Currency</div>-->
                            <div class="col-sm-4">
                                <input type="hidden" class="form-control" name="currency" [(ngModel)]="data.currency"
                                       size="25">
                            </div>
                            <!--            <div class="col-sm-2 col-form-label">Payment Method</div>-->
                            <div class="col-sm-4">
                                <input type="hidden" class="form-control" [(ngModel)]="data.payment_method"
                                       name="payment_method">
                            </div>
                        </div>
                    </div>


                    <div class="form-group row">
                        <div class="col-sm-4 col-form-label">
                            <button class="btn btn-primary">Continue Payment</button>
                        </div>
                    </div>
                </div>
            </div>
            <p></p>
            <!--      <div class="card" style="background-color:whitesmoke;">-->
            <!--&lt;!&ndash;        <div class="card-block">&ndash;&gt;-->
            <!--&lt;!&ndash;          <h6 class="card-subtitle mb-2 text-muted"></h6>&ndash;&gt;-->
            <!--&lt;!&ndash;          <div class="form-group row">&ndash;&gt;-->
            <!--&lt;!&ndash;&lt;!&ndash;            <div class="col-sm-2 col-form-label">Transaction Type</div>&ndash;&gt;&ndash;&gt;-->
            <!--&lt;!&ndash;            <div class="col-sm-4">&ndash;&gt;-->
            <!--&lt;!&ndash;              <input type="hidden" class="form-control" name="transaction_type" id="transaction_type" [(ngModel)]="data.transaction_type"&ndash;&gt;-->
            <!--&lt;!&ndash;                size="25" />&ndash;&gt;-->
            <!--&lt;!&ndash;            </div>&ndash;&gt;-->
            <!--&lt;!&ndash;&lt;!&ndash;            <div class="col-sm-2 col-form-label">Reference #</div>&ndash;&gt;&ndash;&gt;-->
            <!--&lt;!&ndash;            <div class="col-sm-4">&ndash;&gt;-->
            <!--&lt;!&ndash;              <input type="hidden" class="form-control" name="reference_number" [(ngModel)]="data.reference_number" size="25">&ndash;&gt;-->
            <!--&lt;!&ndash;            </div>&ndash;&gt;-->
            <!--&lt;!&ndash;          </div>&ndash;&gt;-->
            <!--&lt;!&ndash;          <div class="form-group row">&ndash;&gt;-->
            <!--&lt;!&ndash;&lt;!&ndash;            <div class="col-sm-2 col-form-label">Currency</div>&ndash;&gt;&ndash;&gt;-->
            <!--&lt;!&ndash;            <div class="col-sm-4">&ndash;&gt;-->
            <!--&lt;!&ndash;              <input type="hidden" class="form-control" name="currency" [(ngModel)]="data.currency" size="25">&ndash;&gt;-->
            <!--&lt;!&ndash;            </div>&ndash;&gt;-->
            <!--&lt;!&ndash;&lt;!&ndash;            <div class="col-sm-2 col-form-label">Payment Method</div>&ndash;&gt;&ndash;&gt;-->
            <!--&lt;!&ndash;            <div class="col-sm-4">&ndash;&gt;-->
            <!--&lt;!&ndash;              <input type="hidden" class="form-control" [(ngModel)]="data.payment_method" name="payment_method">&ndash;&gt;-->
            <!--&lt;!&ndash;            </div>&ndash;&gt;-->
            <!--&lt;!&ndash;          </div>&ndash;&gt;-->
            <!--&lt;!&ndash;        </div>&ndash;&gt;-->
            <!--      </div>-->
        </div>
    </form>
</div>
